import { Events } from "discord.js";
import { schedulerService } from "@/modules/system/scheduler";
import type { Event } from "@shared/lib/types";

const event: Event<Events.ClientReady> = {
    name: Events.ClientReady,
    once: true,
    execute: async (c) => {
        console.log(`Ready! Logged in as ${c.user.tag}`);
        schedulerService.start();


    },
};

export default event;
